summaryrefslogtreecommitdiff
path: root/resources/scripts/download/grub
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/download/grub')
-rwxr-xr-xresources/scripts/download/grub57
1 files changed, 57 insertions, 0 deletions
diff --git a/resources/scripts/download/grub b/resources/scripts/download/grub
new file mode 100755
index 00000000..9d74c568
--- /dev/null
+++ b/resources/scripts/download/grub
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+# helper script: Downloads GRUB and patches it.
+#
+# Copyright (C) 2014, 2015, 2016, 2020, 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+# Remove the old version that may still exist
+# ------------------------------------------------------------------------------
+
+printf "Downloading GRUB\n"
+
+rm -Rf "grub/"
+
+# Get latest GRUB
+# ------------------------------------------------------------------------------
+
+# download it using git
+git clone git://git.savannah.gnu.org/grub.git || git clone http://git.savannah.gnu.org/r/grub.git
+
+if [ ! -d "grub" ]; then
+ printf "grub not downloaded; check network connection?\n\n"
+ exit 1
+fi
+
+(
+# modifications are required
+cd "grub/"
+# reset to known revision
+git reset --hard c0e647eb0e2bd09315612446cb4d90f7f75cb44c
+
+git clone git://git.sv.gnu.org/gnulib gnulib
+cd gnulib/
+
+# NOTE: when updating this, make sure it's the version specified
+# in bootstrap.conf on that version of GRUB, as specified above
+git reset --hard d271f868a8df9bbec29049d01e056481b7a1a263
+rm -Rf .git*
+)
+
+printf "\n\n"